@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,700;1,100;1,300&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Francois+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Arvo:ital,wght@0,400;0,700;1,400;1,700&display=swap');

*, *:before, *:after {
    box-sizing: border-box;
  }

body {
    font-family: 'Lato', sans-serif;
    color: white;
    /* display:flex;
    flex-direction: column;
    min-height: 100vh; */
}

html {
    background: url("../imgs/background_opt4.jpg") no-repeat center center fixed;
    background-size: cover;
    box-sizing: border-box;
}
form input {
    border-radius:10px;
    box-shadow: 2px 2p 2px 1px rgb(238, 238, 238, 0.2);
    border: none;
    padding: .5em;
}
input, textarea {
    font-family: inherit;
    color: #152735;
}
h2 {
    font-family: 'Arvo', serif;
}
button {
    appearance: none;
    padding: .3em;
    border: none;
    background-color: #b4c4af;
    font-family: inherit;
    border-radius: .3em;
    font-size: 1em;
    color: #152735;
}
footer{
    position: fixed;
    bottom: 0;
    width: 100%;
    background-color: #152735;
}
footer p{
    color: white;
    text-align: center;
    font-size: .8em;
}
a {
    /* text-decoration: none; */
    color:#427881
}
a:hover {
    font-weight: 500;
    color:#1b3544;
}
table {
    width: 100%;
    border-collapse: collapse;
    color:rgb(27, 53, 68, .8);
    background-color:rgb(225, 237, 237, .7);
}
thead {
    background-color: #9bc4c4;
}
tr:nth-of-type(even) {
    background: #afd0d0;
    border-radius: 1em;
}
tr{
    text-align: center;
}
thead th:nth-child(1){
    width: 10%;
}
thead th:nth-child(2){
    width: 40%;
}
thead th:nth-child(3){
    width: 15%;
}
thead th:nth-child(4){
    width: 15%;
}
thead th:nth-child(5){
    width: 20%;
}
.container .table {
    height: auto;
    margin: 2em 1em 1em 1em;
}
.table:last-child {
    margin-bottom: 48px;
}
.mylist thead th:nth-child(1){
    width: 10%;
}
.mylist thead th:nth-child(2){
    width: 20%;
}
.mylist thead th:nth-child(3){
    width: 15%;
}
.mylist thead th:nth-child(4){
    width: 15%;
}
.mylist thead th:nth-child(5){
    width: 20%;
}
.mylist thead th:nth-child(6){
    width: 15%;
}
.mylist thead th:nth-child(7){
    width: 5%;
}
.logo {
    padding: 4px 0px 4px 4px;
    height: 125px;
    width: 125px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    opacity: 1.0;
}
.logo:hover {
    opacity: 0.5;
}
.account-nav {
    position: relative;
    top: 0;
    right: 0;
    text-decoration: none;
    color: white;
}
.nav {
    position: absolute;
    top: 0;
    right: 10px;
    text-align: right;
    line-height: .4em;
}
.nav-link {
    font-size: 1em;
    text-decoration: none;
    color: white;
}
.nav-link-left {
    position: absolute;
    top: 0;
    left: 10px;
    text-align: left;
    font-size: 1em;
    text-decoration: none;
    color: white;
}
.nav-link:hover {
    color:#afd0d0;
}
.form {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgb(27, 53, 68, 0.6);
    border-radius: 2em;
    padding: 2em;
}
.form h1 {
    font-family: 'Arvo', serif;
}
.form-label {
    font-family: inherit;
    color: white;
    font-size: vw;
    padding: .4em;
    margin: .4em;
}

form .button {
    float: right;
    appearance: none;
    padding: 6px;
    background-color: #b4c4af;
    border-radius: 10px;
    border: none;
    font-family: inherit;
    font-size: 1em;
}
.container .card {
    display: flex;
    /* margin: 2em 2em 2em 2em; */
    flex-wrap: wrap;
    /* justify-content: space-around; */
    padding: 0;
    margin: 3vh auto 3vh auto;
}
.card {
    /* flex: 0 35%;
    flex-grow: 1; */
    flex: 80%;
    width: 40vw;
    height: fit-content;
    background-color: rgb(175, 208, 208, .7);
    border-radius: 1em;
    line-height: 1.5em;
    flex-direction: column;
}
.card h2{
    padding: 0 0 0 20px;
    font-family: 'Arvo', serif;
}
.card h3{
    color:white;
    padding: 0 0 0 20px;
    margin: 0;
}
.card ul{
    text-align: left;
    list-style: none;
    font-weight: 400;
}
.card:last-child {
    margin-bottom: 48px;
}
#id_username {
    font-family: inherit;
    color: #1b3544;
}
#home-form {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
#search-input {
    margin-top: 0;
    padding: .3em;
    margin: .2em;
    border: none;
    border-radius:5px;
    box-shadow: 2px 2p 2px 1px rgb(238, 238, 238, 0.2);
    font-family: inherit;
    color: #1b3544;
    font-size: 1.8em;
}
#search-button {
    appearance: none;
    padding: .3em;
    border: none;
    background-color: #b4c4af;
    font-family: inherit;
    border-radius: .3em;
    font-size: 1.5em;
}
#h2-home {
    font-family: 'Arvo', serif;
    font-size: 2.5em;
    color: #427881;
    line-height: 0em;
}
.container > .card > #id {
    margin-bottom
}
#id_log {
    border-radius: 1em;
    padding: 8px 8px 8px 5px;
}
#log h3 {
    font-family: 'Arvo', serif;
    padding: .5em;
}
#log p {
    margin: 0 0 0 10px;
}
#log-form {
    width: 80%;
}
#footer {
    color:#afd0d0
}
#footer:hover {
    color:#448893;
    font-weight: 500;
}

@media screen and (max-width: 480px) {
    th{
        font-size: 3.25vw;
    }
    td{
        font-size: 3.5vw;
    }
    footer{
        /* position: fixed;
        bottom: 0; */
        width: 100%;
    }
    footer p{
        color: white;
        margin: 0;
    }

    .container .form {
        width: 70%;
        height: fit-content;
    }

    .logo {
        padding: 4px 0px 4px 4px;
        height: 80px;
        width: 80px;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }
    .nav {
        /* position: absolute;
        top: 0;
        right: 0;
        text-align: right; */
        line-height: 4px;
        font-size: 14px;
    }
    .nav-link {
        position: relative;
        top: 0;
        right: 5px;
        text-decoration: none;
        color: white;
    }
    .container .card{
        margin: 18px auto 18px auto;
    }
    .card {
        width: 80%;
        height: fit-content;
        display: flex;
        flex-wrap: wrap;
        background-color: rgb(175, 208, 208, .7);
        border-radius: 1em;
    }
    .card h2{
        padding: 1em;
        line-height: .5em;
        font-family: 'Arvo', serif;
        margin: 0;
    }
    .card h4{
        color:white;
        margin-right: 6em;
    }
    .card ul{
        margin: 0 1.5em 1.5em 1.5em;
        list-style: none;
        font-weight: 400;
    }
    .form{
        width: 50%;
        height: fit-content;
    }
    #home-form {
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
    #search-input {
        padding: 6px;
        margin: 5px;
        border: none;
        border-radius:5px;
        box-shadow: 2px 2p 2px 1px rgb(238, 238, 238, 0.2);
        font-family: inherit;
        color: #1b3544;
        font-size: 5vw;
    }
    #search-button {
        float:right;
        appearance: none;
        padding: 3px;
        border: none;
        background-color: #b4c4af;
        font-family: inherit;
        border-radius: 5px;
        font-size: medium;
    }
    #h2-home {
        font-family: 'Arvo', serif;
        font-size: 7vw;
        color: #427881;
    }
}
